ablog

不器用で落着きのない技術者のメモ

Amazon Linux 2 に sysbench をインストールしようとすると、libmysqlclient_r.so.16 とlibmysqlclient_r.so.16 が必要と怒られる

yumAmazon Linux 2 に sysbench をインストールしようとすると、libmysqlclient_r.so.16 とlibmysqlclient_r.so.16 が必要と怒られる。

事象

  • コマンド
curl -s https://packagecloud.io/install/repositories/akopytov/sysbench/script.rpm.sh | sudo bash
sudo yum -y install sysbench
  • エラー
Error: Package: sysbench-1.0.181.el6.x86_64 (akopytov_sysbench)
 Requires: libmysqlclient_r.so.16()(64bit)
Error: Package: sysbench-1.0.181.el6.x86_64 (akopytov_sysbench)
 Requires: libmysqlclient_r.so.16(libmysqlclient_16)(64bit)
 You could try using — skip-broken to work around the problem
 You could try running: rpm -Va — nofiles — nodigest

解決策

  • 以下の手順でインストールに成功した。
sudo yum -y install git gcc make automake libtool openssl-devel ncurses-compat-libs
wget http://repo.mysql.com/mysql-community-release-el7-5.noarch.rpm
sudo rpm -ivh mysql-community-release-el7-5.noarch.rpm
sudo yum -y update
sudo yum -y install mysql-community-devel mysql-community-client mysql-community-common
git clone https://github.com/akopytov/sysbench
cd sysbench
./autogen.sh
./configure
make
sudo make install
  • sysbench のバージョンを確認
$ sysbench --version
sysbench 1.1.0-805825f

環境

$ cat /etc/system-release
Amazon Linux release 2 (Karoo)
$ uname -r
4.14.173-137.229.amzn2.x86_64
$ curl http://169.254.169.254/latest/meta-data/ami-id
ami-0f310fced6141e627